Bug 182919 - [PATCH] [ports-mgmt/portlint] port standard updates and maintainership to portmgr
Summary: [PATCH] [ports-mgmt/portlint] port standard updates and maintainership to por...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Joe Marcus Clarke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-10-12 11:40 UTC by Bryan Drewery
Modified: 2013-10-15 05:58 UTC (History)
1 user (show)

See Also:


Attachments
portlint-updates-portmgr.txt (1.57 KB, text/plain)
2013-10-12 11:40 UTC, Bryan Drewery
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Bryan Drewery freebsd_committer 2013-10-12 11:40:00 UTC
	portlint is a critical tool for port development. We have been making a lot of changes lately that
	portlint fails to properly find or recommend. The recent ports/181359 one that recommended
	USES=gmake to use USES=${GMAKE} and USE_GMAKE was especially wrong. We need more people to be able
	to approve or work on getting updates into portlint faster.

	- Support staging
	- Remove indefinite article from COMMENT
	- Pass maintainership to portmgr
Comment 1 Edwin Groothuis freebsd_committer 2013-10-12 14:26:49 UTC
Responsible Changed
From-To: freebsd-ports-bugs->marcus

Over to maintainer (via the GNATS Auto Assign Tool) 

http://www.freebsd.org/cgi/query-pr.cgi?pr=182919 

Date: Sat, 12 Oct 2013 12:17:35 -0400
Comment 2 Bryan Drewery freebsd_committer 2013-10-12 17:25:41 UTC
> I have been maintaining portlint for a while now, and I do my best to
> batch changes to avoid a lot of constant churn.  I would appreciate not
> being summarily replaced as maintainer.


I don't think you understand. In just 2 months now, it has become
unusable, wrong, and more and more irrelevant. We need to be able to
update it more frequently. It is not OK to sit on valid patches for
months at a time just to avoid updating a port that has 0 build time.
Porters need this tool updated ASAP when we make framework changes.


-- 
Regards,
Bryan Drewery
Comment 3 Joe Marcus Clarke freebsd_committer 2013-10-12 17:34:06 UTC
State Changed
From-To: open->closed

Committed, retaining maintainership.  Thanks.
Comment 4 dfilter service freebsd_committer 2013-10-12 17:34:07 UTC
Author: marcus
Date: Sat Oct 12 16:33:59 2013
New Revision: 330137
URL: http://svnweb.freebsd.org/changeset/ports/330137

Log:
  * Support staging
  * Adjust COMMENT
  
  PR:		182919
  Submitted by:	bdrewery

Modified:
  head/ports-mgmt/portlint/Makefile

Modified: head/ports-mgmt/portlint/Makefile
==============================================================================
--- head/ports-mgmt/portlint/Makefile	Sat Oct 12 16:15:07 2013	(r330136)
+++ head/ports-mgmt/portlint/Makefile	Sat Oct 12 16:33:59 2013	(r330137)
@@ -8,7 +8,7 @@ MASTER_SITES=	# none
 DISTFILES=	# none
 
 MAINTAINER=	marcus@FreeBSD.org
-COMMENT=	A verifier for FreeBSD port directory
+COMMENT=	Verifier for FreeBSD port directory
 
 NO_BUILD=	yes
 WRKSRC=		${WRKDIR}/src
@@ -17,15 +17,16 @@ USE_PERL5=	run
 
 SRC=		${.CURDIR}/src
 
-MAN1=		portlint.1
-PLIST_FILES=	bin/portlint
+PLIST_FILES=	bin/portlint \
+		man/man1/portlint.1.gz
 
-.if !defined(NOPORTEXAMPLES)
+.include <bsd.port.options.mk>
+
+.if ${PORT_OPTIONS:MEXAMPLES}
 PLIST_FILES+=	%%EXAMPLESDIR%%/portlintgrep
 PLIST_DIRS=	%%EXAMPLESDIR%%
 .endif
 
-NO_STAGE=	yes
 do-fetch:
 	@${DO_NADA}
 
@@ -38,11 +39,15 @@ post-patch:
 		${WRKSRC}/portlintgrep.pl
 
 do-install:
-	${INSTALL_SCRIPT} ${WRKSRC}/portlint.pl ${PREFIX}/bin/portlint
-	${INSTALL_MAN} ${WRKSRC}/portlint.1 ${MAN1PREFIX}/man/man1
-.if !defined(NOPORTEXAMPLES)
-	${INSTALL} -o ${SHAREOWN} -g ${SHAREGRP} -m ${BINMODE} -d ${EXAMPLESDIR}
-	${INSTALL_SCRIPT} ${WRKSRC}/portlintgrep.pl ${EXAMPLESDIR}/portlintgrep
+	${INSTALL_SCRIPT} ${WRKSRC}/portlint.pl \
+	    ${STAGEDIR}${PREFIX}/bin/portlint
+	${INSTALL_MAN} ${WRKSRC}/portlint.1 \
+	    ${STAGEDIR}${MAN1PREFIX}/man/man1
+.if ${PORT_OPTIONS:MEXAMPLES}
+	${INSTALL} -o ${SHAREOWN} -g ${SHAREGRP} -m ${BINMODE} -d \
+	    ${STAGEDIR}${EXAMPLESDIR}
+	${INSTALL_SCRIPT} ${WRKSRC}/portlintgrep.pl \
+	    ${STAGEDIR}${EXAMPLESDIR}/portlintgrep
 .endif
 
 .include <bsd.port.mk>
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"